/* Copyright (c) 2009 Ondrej Donek.
   See the file LICENSE.txt for licensing information. */

/**
 * Prototype object that implements tbNotes tabs.
 * 
 * @type Object
 */
function tbNotesTabsPrototype() {}

// Implemented with heavilly help from Messenger's original specialTabs.js file
tbNotesTabsPrototype.prototype = 
{
  get name() { return "tbnotesTab"; },
  get perTabPanel() { return "vbox"; },
  get modes() { return { tbnotesTab: { type: "tbnotesTab", maxTabs: 1 } }; },
  
  //shouldSwitchTo: function onSwitchTo(aParam) { return -1; },
  
  openTab: function(aTab, aArgs) {
    //if(!"something" in aArgs)
    //  throw("'something' must be specified");
    
    CU.reportError("tbNotesTabsPrototype.openTab('" + aTab + "', '" + aArgs + "')");
    // ...
  },
  
  closeTab: function onTabClosed(aTab) {
    CU.reportError("tbNotesTabsPrototype.closeTab('" + aTab + "')");
    // ...
  },
  
  saveTabState: function onSaveTabState(aTab) {
    CU.reportError("tbNotesTabsPrototype.saveTabState('" + aTab + "')");
    // ...
  },
  
  showTab: function onShowTab(aTab) {
    CU.reportError("tbNotesTabsPrototype.showTab('" + aTab + "')");
    // ...
  },
  
  persistTab: function onPersistTab(aTab) {
    CU.reportError("tbNotesTabsPrototype.persistTab('" + aTab + "')");
    // ...
  },
  
  restoreTab: function onRestoreTab(aTabmail, aPersistedState) {
    CU.reportError("tbNotesTabsPrototype.restoreTab('" + aTabmail + "', '" + aPersistedState + "')");
    // ...
  },
  
  //onTitleChanged: function onTitleChanged(aTab) {}
  
  supportsCommand: function supportsCommand(aCmd, aTab) {
    CU.reportError("tbNotesTabsPrototype.supportsCommand('" + aCmd + "', '" + aTab + "')");
    // ...
  },
  
  isCommandEnabled: function isCommandEnabled(aCmd, aTab) {
    CU.reportError("tbNotesTabsPrototype.isCommandEnabled('" + aCmd + "', '" + aTab + "')");
    // ...
  },
  
  doCommand: function isCommandEnabled(aCmd, aTab) {
    CU.reportError("tbNotesTabsPrototype.doCommand('" + aCmd + "', '" + aTab + "')");
    // ...
  }
  
  //getBrowser: function getBrowser(aTab) { return aTab.browser; }

}; // End of tbNotesTabsPrototype
